   This file documents the GNU Scientific Library.

   Copyright (C) 1996, 1997, 1998, 1999 The GSL Project.

   Permission is granted to make and distribute verbatim copies of this
manual provided the copyright notice and this permission notice are
preserved on all copies.

   Permission is granted to copy and distribute modified versions of
this manual under the conditions for verbatim copying, provided that
the entire resulting derived work is distributed under the terms of a
permission notice identical to this one.

   Permission is granted to copy and distribute translations of this
manual into another language, under the above conditions for modified
versions, except that this permission notice may be stated in a
translation approved by the Foundation.

GSL BLAS Interface
==================

   As described elsewhere and noted above, GSL provides dense vector
and matrix objects, based on the relevant built-in types.  Therefore,
we provide a GSL specific interface to BLAS functionality, for those
operations which are meaningful with the GSL objects.  The interface to
this functionality is given in the file `gsl_blas.h'.

 - Function: int gsl_blas_sdsdot (float ALPHA, const gsl_vector_float *
          X, const gsl_vector_float * Y, float * RESULT)

 - Function: int gsl_blas_dsdot (const gsl_vector_float * X, const
          gsl_vector_float * Y, double * RESULT)

 - Function: int gsl_blas_sdot (const gsl_vector_float * X, const
          gsl_vector_float * Y, float * RESULT)

 - Function: int gsl_blas_ddot (const gsl_vector * X, const gsl_vector
          * Y, double * RESULT)

 - Function: int gsl_blas_cdotu (const gsl_vector_complex_float * X,
          const gsl_vector_complex_float * Y, gsl_complex_float * DOTU)

 - Function: int gsl_blas_cdotc (const gsl_vector_complex_float * X,
          const gsl_vector_complex_float * Y, gsl_complex_float * DOTC)

 - Function: int gsl_blas_zdotu (const gsl_vector_complex * X, const
          gsl_vector_complex * Y, gsl_complex * DOTU)

 - Function: int gsl_blas_zdotc (const gsl_vector_complex * X, const
          gsl_vector_complex * Y, gsl_complex * DOTC)

 - Function: float gsl_blas_snrm2 (const gsl_vector_float * X)

 - Function: float gsl_blas_sasum (const gsl_vector_float * X)

 - Function: double gsl_blas_dnrm2 (const gsl_vector * X)

 - Function: double gsl_blas_dasum (const gsl_vector * X)

 - Function: float gsl_blas_scnrm2 (const gsl_vector_complex_float * X)

 - Function: float gsl_blas_scasum (const gsl_vector_complex_float * X)

 - Function: double gsl_blas_dznrm2 (const gsl_vector_complex * X)

 - Function: double gsl_blas_dzasum (const gsl_vector_complex * X)

 - Function: CBLAS_INDEX_t gsl_blas_isamax (const gsl_vector_float * X)

 - Function: CBLAS_INDEX_t gsl_blas_idamax (const gsl_vector * X)

 - Function: CBLAS_INDEX_t gsl_blas_icamax (const
          gsl_vector_complex_float * X)

 - Function: CBLAS_INDEX_t gsl_blas_izamax (const gsl_vector_complex *
          X)

 - Function: int gsl_blas_sswap (gsl_vector_float * X, gsl_vector_float
          * Y)

 - Function: int gsl_blas_scopy (const gsl_vector_float * X,
          gsl_vector_float * Y)

 - Function: int gsl_blas_saxpy (float ALPHA, const gsl_vector_float *
          X, gsl_vector_float * Y)

 - Function: int gsl_blas_dswap (gsl_vector * X, gsl_vector * Y)

 - Function: int gsl_blas_dcopy (const gsl_vector * X, gsl_vector * Y)

 - Function: int gsl_blas_daxpy (double ALPHA, const gsl_vector * X,
          gsl_vector * Y)

 - Function: int gsl_blas_cswap (gsl_vector_complex_float * X,
          gsl_vector_complex_float * Y)

 - Function: int gsl_blas_ccopy (const gsl_vector_complex_float * X,
          gsl_vector_complex_float * Y)

 - Function: int gsl_blas_caxpy (const gsl_complex_float * ALPHA, const
          gsl_vector_complex_float * X, gsl_vector_complex_float * Y)

 - Function: int gsl_blas_zswap (gsl_vector_complex * X,
          gsl_vector_complex * Y)

 - Function: int gsl_blas_zcopy (const gsl_vector_complex * X,
          gsl_vector_complex * Y)

 - Function: int gsl_blas_zaxpy (const gsl_complex * ALPHA, const
          gsl_vector_complex * X, gsl_vector_complex * Y)

 - Function: int gsl_blas_srotg (float a[], float b[], float c[], float
          s[])

 - Function: int gsl_blas_srotmg (float d1[], float d2[], float b1[],
          float B2, float P[])

 - Function: int gsl_blas_srot (gsl_vector_float * X, gsl_vector_float
          * Y, float C, float S)

 - Function: int gsl_blas_srotm (gsl_vector_float * X, gsl_vector_float
          * Y, const float P[])

 - Function: int gsl_blas_drotg (double a[], double b[], double c[],
          double s[])

 - Function: int gsl_blas_drotmg (double d1[], double d2[], double
          b1[], double B2, double P[])

 - Function: int gsl_blas_drot (gsl_vector * X, gsl_vector * Y, const
          double C, const double S)

 - Function: int gsl_blas_drotm (gsl_vector * X, gsl_vector * Y, const
          double P[])

 - Function: void gsl_blas_sscal (float ALPHA, gsl_vector_float * X)

 - Function: void gsl_blas_dscal (double ALPHA, gsl_vector * X)

 - Function: void gsl_blas_cscal (const gsl_complex_float * ALPHA,
          gsl_vector_complex_float * X)

 - Function: void gsl_blas_zscal (const gsl_complex * ALPHA,
          gsl_vector_complex * X)

 - Function: void gsl_blas_csscal (float ALPHA,
          gsl_vector_complex_float * X)

 - Function: void gsl_blas_zdscal (double ALPHA, gsl_vector_complex * X)

 - Function: int gsl_blas_sgemv (CBLAS_TRANSPOSE_t TRANSA, float ALPHA,
          const gsl_matrix_float * A, const gsl_vector_float * X, float
          BETA, gsl_vector_float * Y)

 - Function: int gsl_blas_sgbmv (CBLAS_TRANSPOSE_t TRANSA, int KL, int
          KU, float ALPHA, const gsl_matrix_float * A, const
          gsl_vector_float * X, float BETA, gsl_vector_float * Y)

 - Function: int gsl_blas_strmv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const gsl_matrix_float * A,
          gsl_vector_float * X)

 - Function: int gsl_blas_stbmv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, int K, const gsl_matrix_float * A,
          gsl_vector_float * X)

 - Function: int gsl_blas_stpmv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const float Ap[], gsl_vector_float
          * X)

 - Function: int gsl_blas_strsv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const gsl_matrix_float * A,
          gsl_vector_float * X)

 - Function: int gsl_blas_stbsv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, int K, const gsl_matrix_float * A,
          gsl_vector_float * X)

 - Function: int gsl_blas_stpsv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const float Ap[], gsl_vector_float
          * X)

 - Function: int gsl_blas_dgemv (CBLAS_TRANSPOSE_t TRANSA, double
          ALPHA, const gsl_matrix * A, const gsl_vector * X, double
          BETA, gsl_vector * Y)

 - Function: int gsl_blas_dgbmv (CBLAS_TRANSPOSE_t TRANSA, int KL, int
          KU, double ALPHA, const gsl_matrix * A, const gsl_vector * X,
          double BETA, gsl_vector * Y)

 - Function: int gsl_blas_dtrmv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const gsl_matrix * A, gsl_vector *
          X)

 - Function: int gsl_blas_dtbmv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, int K, const gsl_matrix * A,
          gsl_vector * X)

 - Function: int gsl_blas_dtpmv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const double Ap[], gsl_vector * X)

 - Function: int gsl_blas_dtrsv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const gsl_matrix * A, gsl_vector *
          X)

 - Function: int gsl_blas_dtbsv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, int K, const gsl_matrix * A,
          gsl_vector * X)

 - Function: int gsl_blas_dtpsv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const double Ap[], gsl_vector * X)

 - Function: int gsl_blas_cgemv (CBLAS_TRANSPOSE_t TRANSA, const
          gsl_complex_float * ALPHA, const gsl_matrix_complex_float *
          A, const gsl_vector_complex_float * X, const
          gsl_complex_float * BETA, gsl_vector_complex_float * Y)

 - Function: int gsl_blas_cgbmv (CBLAS_TRANSPOSE_t TRANSA, int KL, int
          KU, const gsl_complex_float * ALPHA, const
          gsl_matrix_complex_float * A, const gsl_vector_complex_float
          * X, const gsl_complex_float * BETA, gsl_vector_complex_float
          * Y)

 - Function: int gsl_blas_ctrmv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const gsl_matrix_complex_float *
          A, gsl_vector_complex_float * X)

 - Function: int gsl_blas_ctbmv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, int K, const
          gsl_matrix_complex_float * A, gsl_vector_complex_float * X)

 - Function: int gsl_blas_ctpmv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const void * AP,
          gsl_vector_complex_float * X)

 - Function: int gsl_blas_ctrsv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const gsl_matrix_complex_float *
          A, gsl_vector_complex_float * X)

 - Function: int gsl_blas_ctbsv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, int K, const
          gsl_matrix_complex_float * A, gsl_vector_complex_float * X)

 - Function: int gsl_blas_ctpsv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const void * AP,
          gsl_vector_complex_float * X)

 - Function: int gsl_blas_zgemv (CBLAS_TRANSPOSE_t TRANSA, const
          gsl_complex * ALPHA, const gsl_matrix_complex * A, const
          gsl_vector_complex * X, const gsl_complex * BETA,
          gsl_vector_complex * Y)

 - Function: int gsl_blas_zgbmv (CBLAS_TRANSPOSE_t TRANSA, int KL, int
          KU, const gsl_complex * ALPHA, const gsl_matrix_complex * A,
          const gsl_vector_complex * X, const gsl_complex * BETA,
          gsl_vector_complex * Y)

 - Function: int gsl_blas_ztrmv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const gsl_matrix_complex * A,
          gsl_vector_complex * X)

 - Function: int gsl_blas_ztbmv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, int K, const gsl_matrix_complex *
          A, gsl_vector_complex * X)

 - Function: int gsl_blas_ztpmv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const void *AP, gsl_vector_complex
          * X)

 - Function: int gsl_blas_ztrsv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const gsl_matrix_complex * A,
          gsl_vector_complex *X)

 - Function: int gsl_blas_ztbsv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, int K, const gsl_matrix_complex *
          A, gsl_vector_complex * X)

 - Function: int gsl_blas_ztpsv (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANSA, CBLAS_DIAG_t DIAG, const void *AP, gsl_vector_complex
          * X)

 - Function: int gsl_blas_ssymv (CBLAS_UPLO_t UPLO, float ALPHA, const
          gsl_matrix_float * A, const gsl_vector_float * X, float BETA,
          gsl_vector_float * Y)

 - Function: int gsl_blas_ssbmv (CBLAS_UPLO_t UPLO, int K, float ALPHA,
          const gsl_matrix_float * A, const gsl_vector_float * X, float
          BETA, gsl_vector_float * Y)

 - Function: int gsl_blas_sspmv (CBLAS_UPLO_t UPLO, float ALPHA, const
          float Ap[], const gsl_vector_float * X, float BETA,
          gsl_vector_float * Y)

 - Function: int gsl_blas_sger (float ALPHA, const gsl_vector_float *
          X, const gsl_vector_float * Y, gsl_matrix_float * A)

 - Function: int gsl_blas_ssyr (CBLAS_UPLO_t UPLO, float ALPHA, const
          gsl_vector_float * X, gsl_matrix_float * A)

 - Function: int gsl_blas_sspr (CBLAS_UPLO_t UPLO, float ALPHA, const
          gsl_vector_float * X, float Ap[])

 - Function: int gsl_blas_ssyr2 (CBLAS_UPLO_t UPLO, float ALPHA, const
          gsl_vector_float * X, const gsl_vector_float * Y,
          gsl_matrix_float * A)

 - Function: int gsl_blas_sspr2 (CBLAS_UPLO_t UPLO, float ALPHA, const
          gsl_vector_float * X, const gsl_vector_float * Y, float * A)

 - Function: int gsl_blas_dsymv (CBLAS_UPLO_t UPLO, double ALPHA, const
          gsl_matrix * A, const gsl_vector * X, double BETA, gsl_vector
          * Y)

 - Function: int gsl_blas_dsbmv (CBLAS_UPLO_t UPLO, int K, double
          ALPHA, const gsl_matrix * A, const gsl_vector * X, double
          BETA, gsl_vector * Y)

 - Function: int gsl_blas_dspmv (CBLAS_UPLO_t UPLO, double ALPHA, const
          double Ap[], const gsl_vector * X, double BETA, gsl_vector *
          Y)

 - Function: int gsl_blas_dger (double ALPHA, const gsl_vector * X,
          const gsl_vector * Y, gsl_matrix * A)

 - Function: int gsl_blas_dsyr (CBLAS_UPLO_t UPLO, double ALPHA, const
          gsl_vector * X, gsl_matrix * A)

 - Function: int gsl_blas_dspr (CBLAS_UPLO_t UPLO, double ALPHA, const
          gsl_vector * X, double Ap[])

 - Function: int gsl_blas_dsyr2 (CBLAS_UPLO_t UPLO, double ALPHA, const
          gsl_vector * X, const gsl_vector * Y, gsl_matrix * A)

 - Function: int gsl_blas_dspr2 (CBLAS_UPLO_t UPLO, double ALPHA, const
          gsl_vector * X, const gsl_vector * Y, double * AP)

 - Function: int gsl_blas_chemv (CBLAS_UPLO_t UPLO, const
          gsl_complex_float * ALPHA, const gsl_matrix_complex_float *
          A, const gsl_vector_complex_float * X, const
          gsl_complex_float * BETA, gsl_vector_complex_float * Y)

 - Function: int gsl_blas_chbmv (CBLAS_UPLO_t UPLO, int K, const
          gsl_complex_float * ALPHA, const gsl_matrix_complex_float *
          A, const gsl_vector_complex_float * X, const
          gsl_complex_float * BETA, gsl_vector_complex_float * Y)

 - Function: int gsl_blas_chpmv (CBLAS_UPLO_t UPLO, const
          gsl_complex_float * ALPHA, const void * AP, const
          gsl_vector_complex_float * X, const gsl_complex_float * BETA,
          gsl_vector_complex_float * Y)

 - Function: int gsl_blas_cgeru (const gsl_complex_float * ALPHA, const
          gsl_vector_complex_float * X, const gsl_vector_complex_float
          * Y, gsl_matrix_complex_float * A)

 - Function: int gsl_blas_cgerc (const gsl_complex_float * ALPHA, const
          gsl_vector_complex_float * X, const gsl_vector_complex_float
          * Y, gsl_matrix_complex_float * A)

 - Function: int gsl_blas_cher (CBLAS_UPLO_t UPLO, float ALPHA, const
          gsl_vector_complex_float * X, gsl_matrix_complex_float * A)

 - Function: int gsl_blas_chpr (CBLAS_UPLO_t UPLO, float ALPHA, const
          gsl_vector_complex_float * X, void * AP)

 - Function: int gsl_blas_cher2 (CBLAS_UPLO_t UPLO, const
          gsl_complex_float * ALPHA, const gsl_vector_complex_float *
          X, const gsl_vector_complex_float * Y,
          gsl_matrix_complex_float * A)

 - Function: int gsl_blas_chpr2 (CBLAS_UPLO_t UPLO, const
          gsl_complex_float * ALPHA, const gsl_vector_complex_float *
          X, const gsl_vector_complex_float * Y, void * AP)

 - Function: int gsl_blas_zhemv (CBLAS_UPLO_t UPLO, const gsl_complex *
          ALPHA, const gsl_matrix_complex * A, const gsl_vector_complex
          * X, const gsl_complex * BETA, gsl_vector_complex * Y)

 - Function: int gsl_blas_zhbmv (CBLAS_UPLO_t UPLO, int K, const
          gsl_complex * ALPHA, const gsl_matrix_complex * A, const
          gsl_vector_complex * X, const gsl_complex * BETA,
          gsl_vector_complex * Y)

 - Function: int gsl_blas_zhpmv (CBLAS_UPLO_t UPLO, const gsl_complex *
          ALPHA, const void * AP, const gsl_vector_complex * X, const
          gsl_complex * BETA, gsl_vector_complex * Y)

 - Function: int gsl_blas_zgeru (const gsl_complex * ALPHA, const
          gsl_vector_complex * X, const gsl_vector_complex * Y,
          gsl_matrix_complex * A)

 - Function: int gsl_blas_zgerc (const gsl_complex * ALPHA, const
          gsl_vector_complex * X, const gsl_vector_complex * Y,
          gsl_matrix_complex * A)

 - Function: int gsl_blas_zher (CBLAS_UPLO_t UPLO, double ALPHA, const
          gsl_vector_complex * X, gsl_matrix_complex * A)

 - Function: int gsl_blas_zhpr (CBLAS_UPLO_t UPLO, double ALPHA, const
          gsl_vector_complex * X, void * AP)

 - Function: int gsl_blas_zher2 (CBLAS_UPLO_t UPLO, const gsl_complex *
          ALPHA, const gsl_vector_complex * X, const gsl_vector_complex
          * Y, gsl_matrix_complex * A)

 - Function: int gsl_blas_zhpr2 (CBLAS_UPLO_t UPLO, const gsl_complex *
          ALPHA, const gsl_vector_complex * X, const gsl_vector_complex
          * Y, void *AP)

 - Function: int gsl_blas_sgemm (CBLAS_TRANSPOSE_t TRANSA,
          CBLAS_TRANSPOSE_t TRANSB, int K, float ALPHA, const
          gsl_matrix_float * A, const gsl_matrix_float * B, float BETA,
          gsl_matrix_float * C)

 - Function: int gsl_blas_ssymm (CBLAS_SIDE_t SIDE, CBLAS_UPLO_t UPLO,
          float ALPHA, const gsl_matrix_float * A, const
          gsl_matrix_float * B, float BETA, gsl_matrix_float * C)

 - Function: int gsl_blas_ssyrk (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANS, int K, float ALPHA, const gsl_matrix_float * A, float
          BETA, gsl_matrix_float * C)

 - Function: int gsl_blas_ssyr2k (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANS, int K, float ALPHA, const gsl_matrix_float * A, const
          gsl_matrix_float * B, float BETA, gsl_matrix_float * C)

 - Function: int gsl_blas_strmm (CBLAS_SIDE_t SIDE, CBLAS_UPLO_t UPLO,
          CBLAS_TRANSPOSE_t TRANSA, CBLAS_DIAG_t DIAG, float ALPHA,
          const gsl_matrix_float * A, gsl_matrix_float * B)

 - Function: int gsl_blas_strsm (CBLAS_SIDE_t SIDE, CBLAS_UPLO_t UPLO,
          CBLAS_TRANSPOSE_t TRANSA, CBLAS_DIAG_t DIAG, float ALPHA,
          const gsl_matrix_float * A, gsl_matrix_float * B)

 - Function: int gsl_blas_dgemm (CBLAS_TRANSPOSE_t TRANSA,
          CBLAS_TRANSPOSE_t TRANSB, int K, double ALPHA, const
          gsl_matrix * A, const gsl_matrix * B, double BETA, gsl_matrix
          * C)

 - Function: int gsl_blas_dsymm (CBLAS_SIDE_t SIDE, CBLAS_UPLO_t UPLO,
          double ALPHA, const gsl_matrix * A, const gsl_matrix * B,
          double BETA, gsl_matrix * C)

 - Function: int gsl_blas_dsyrk (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANS, int K, double ALPHA, const gsl_matrix * A, double
          BETA, gsl_matrix * C)

 - Function: int gsl_blas_dsyr2k (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANS, int K, double ALPHA, const gsl_matrix * A, const
          gsl_matrix * B, double BETA, gsl_matrix * C)

 - Function: int gsl_blas_dtrmm (CBLAS_SIDE_t SIDE, CBLAS_UPLO_t UPLO,
          CBLAS_TRANSPOSE_t TRANSA, CBLAS_DIAG_t DIAG, double ALPHA,
          const gsl_matrix * A, gsl_matrix * B)

 - Function: int gsl_blas_dtrsm (CBLAS_SIDE_t SIDE, CBLAS_UPLO_t UPLO,
          CBLAS_TRANSPOSE_t TRANSA, CBLAS_DIAG_t DIAG, double ALPHA,
          const gsl_matrix * A, gsl_matrix * B)

 - Function: int gsl_blas_cgemm (CBLAS_TRANSPOSE_t TRANSA,
          CBLAS_TRANSPOSE_t TRANSB, int K, const gsl_complex_float *
          ALPHA, const gsl_matrix_complex_float * A, const
          gsl_matrix_complex_float * B, const gsl_complex_float * BETA,
          gsl_matrix_complex_float * C)

 - Function: int gsl_blas_csymm (CBLAS_SIDE_t SIDE, CBLAS_UPLO_t UPLO,
          const gsl_complex_float * ALPHA, const
          gsl_matrix_complex_float * A, const gsl_matrix_complex_float
          * B, const gsl_complex_float * BETA, gsl_matrix_complex_float
          * C)

 - Function: int gsl_blas_csyrk (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANS, int K, const gsl_complex_float * ALPHA, const
          gsl_matrix_complex_float * A, const gsl_complex_float * BETA,
          gsl_matrix_complex_float * C)

 - Function: int gsl_blas_csyr2k (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANS, int K, const gsl_complex_float * ALPHA, const
          gsl_matrix_complex_float * A, const gsl_matrix_complex_float
          * B, const gsl_complex_float * BETA, gsl_matrix_complex_float
          * C)

 - Function: int gsl_blas_ctrmm (CBLAS_SIDE_t SIDE, CBLAS_UPLO_t UPLO,
          CBLAS_TRANSPOSE_t TRANSA, CBLAS_DIAG_t DIAG, const
          gsl_complex_float * ALPHA, const gsl_matrix_complex_float *
          A, gsl_matrix_complex_float * B)

 - Function: int gsl_blas_ctrsm (CBLAS_SIDE_t SIDE, CBLAS_UPLO_t UPLO,
          CBLAS_TRANSPOSE_t TRANSA, CBLAS_DIAG_t DIAG, const
          gsl_complex_float * ALPHA, const gsl_matrix_complex_float *
          A, gsl_matrix_complex_float * B)

 - Function: int gsl_blas_zgemm (CBLAS_TRANSPOSE_t TRANSA,
          CBLAS_TRANSPOSE_t TRANSB, int K, const gsl_complex * ALPHA,
          const gsl_matrix_complex * A, const gsl_matrix_complex * B,
          const gsl_complex * BETA, gsl_matrix_complex * C)

 - Function: int gsl_blas_zsymm (CBLAS_SIDE_t SIDE, CBLAS_UPLO_t UPLO,
          const gsl_complex * ALPHA, const gsl_matrix_complex * A,
          const gsl_matrix_complex * B, const gsl_complex * BETA,
          gsl_matrix_complex * C)

 - Function: int gsl_blas_zsyrk (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANS, int K, const gsl_complex * ALPHA, const
          gsl_matrix_complex * A, const gsl_complex * BETA,
          gsl_matrix_complex * C)

 - Function: int gsl_blas_zsyr2k (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANS, int K, const gsl_complex * ALPHA, const
          gsl_matrix_complex * A, const gsl_matrix_complex * B, const
          gsl_complex * BETA, gsl_matrix_complex *C)

 - Function: int gsl_blas_ztrmm (CBLAS_SIDE_t SIDE, CBLAS_UPLO_t UPLO,
          CBLAS_TRANSPOSE_t TRANSA, CBLAS_DIAG_t DIAG, const
          gsl_complex * ALPHA, const gsl_matrix_complex * A,
          gsl_matrix_complex * B)

 - Function: int gsl_blas_ztrsm (CBLAS_SIDE_t SIDE, CBLAS_UPLO_t UPLO,
          CBLAS_TRANSPOSE_t TRANSA, CBLAS_DIAG_t DIAG, const
          gsl_complex * ALPHA, const gsl_matrix_complex * A,
          gsl_matrix_complex * B)

 - Function: int gsl_blas_chemm (CBLAS_SIDE_t SIDE, CBLAS_UPLO_t UPLO,
          const gsl_complex_float * ALPHA, const
          gsl_matrix_complex_float * A, const gsl_matrix_complex_float
          * B, const gsl_complex_float * BETA, gsl_matrix_complex_float
          * C)

 - Function: int gsl_blas_cherk (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANS, int K, float ALPHA, const gsl_matrix_complex_float *
          A, float BETA, gsl_matrix_complex_float * C)

 - Function: int gsl_blas_cher2k (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANS, int K, const gsl_complex_float * ALPHA, const
          gsl_matrix_complex_float * A, const gsl_matrix_complex_float
          * B, float BETA, gsl_matrix_complex_float * C)

 - Function: int gsl_blas_zhemm (CBLAS_SIDE_t SIDE, CBLAS_UPLO_t UPLO,
          const gsl_complex * ALPHA, const gsl_matrix_complex * A,
          const gsl_matrix_complex * B, const gsl_complex * BETA,
          gsl_matrix_complex * C)

 - Function: int gsl_blas_zherk (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANS, int K, double ALPHA, const gsl_matrix_complex * A,
          double BETA, gsl_matrix_complex * C)

 - Function: int gsl_blas_zher2k (CBLAS_UPLO_t UPLO, CBLAS_TRANSPOSE_t
          TRANS, int K, const gsl_complex * ALPHA, const
          gsl_matrix_complex * A, const gsl_matrix_complex * B, double
          BETA, gsl_matrix_complex * C)